weka.knowledgeflow.steps

## Enum FlowByExpression.ExpressionClause.ExpressionType

- java.lang.Object
- - java.lang.Enum<FlowByExpression.ExpressionClause.ExpressionType>
  - - weka.knowledgeflow.steps.FlowByExpression.ExpressionClause.ExpressionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FlowByExpression.ExpressionClause.ExpressionType>
  Enclosing class:
    FlowByExpression.ExpressionClause

      public static enum FlowByExpression.ExpressionClause.ExpressionType
      extends java.lang.Enum<FlowByExpression.ExpressionClause.ExpressionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTAINS`
    `ENDSWITH`
    `EQUALS`
    `GREATERTHAN`
    `GREATERTHANEQUAL`
    `ISMISSING`
    `LESSTHAN`
    `LESSTHANEQUAL`
    `NOTEQUAL`
    `REGEX`
    `STARTSWITH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static FlowByExpression.ExpressionClause.ExpressionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FlowByExpression.ExpressionClause.ExpressionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final FlowByExpression.ExpressionClause.ExpressionType EQUALS

    - #### NOTEQUAL

          public static final FlowByExpression.ExpressionClause.ExpressionType NOTEQUAL

    - #### LESSTHAN

          public static final FlowByExpression.ExpressionClause.ExpressionType LESSTHAN

    - #### LESSTHANEQUAL

          public static final FlowByExpression.ExpressionClause.ExpressionType LESSTHANEQUAL

    - #### GREATERTHAN

          public static final FlowByExpression.ExpressionClause.ExpressionType GREATERTHAN

    - #### GREATERTHANEQUAL

          public static final FlowByExpression.ExpressionClause.ExpressionType GREATERTHANEQUAL

    - #### ISMISSING

          public static final FlowByExpression.ExpressionClause.ExpressionType ISMISSING

    - #### CONTAINS

          public static final FlowByExpression.ExpressionClause.ExpressionType CONTAINS

    - #### STARTSWITH

          public static final FlowByExpression.ExpressionClause.ExpressionType STARTSWITH

    - #### ENDSWITH

          public static final FlowByExpression.ExpressionClause.ExpressionType ENDSWITH

    - #### REGEX

          public static final FlowByExpression.ExpressionClause.ExpressionType REGEX

  - ### Method Detail

    - #### values

          public static FlowByExpression.ExpressionClause.ExpressionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlowByExpression.ExpressionClause.ExpressionType c : FlowByExpression.ExpressionClause.ExpressionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlowByExpression.ExpressionClause.ExpressionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<FlowByExpression.ExpressionClause.ExpressionType>`